// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2021 Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Hiperscan.Unix;

namespace Hiperscan.Extensions.ApoIdent
{
    public static class BatchExtension
    {
        public static string AddExtension(string substance_name, string batch_number)
        {
            if (substance_name.Contains(LocalizedSubstanceExtensions.BatchExtension))
                throw new Exception(String.Format(
                    Catalog.GetString("Substance name {0} has lready a batch extension."), substance_name));


            return substance_name + LocalizedSubstanceExtensions.BatchExtension + batch_number;
        }

        public static string RemoveExtension(string substance_name)
        {
            if (String.IsNullOrEmpty(substance_name))
                return String.Empty;

            return substance_name.Split(new string[] { LocalizedSubstanceExtensions.BatchExtension }, 
                                        StringSplitOptions.RemoveEmptyEntries)[0];
        }

        public static string GetBatchNumber(string substance_name)
        {
            string[] tmp = substance_name.Split(new string[] { LocalizedSubstanceExtensions.BatchExtension }, 
                                                StringSplitOptions.RemoveEmptyEntries);
            return tmp.Length == 2 ? tmp[1] : String.Empty;
        }
    }
}
